$kind: http-request
url: "{{sahara_local}}sales/deliveries/9e026dc9-40e7-4251-90c5-fe8bf655c728"
method: PUT
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \  \"order_id\": \"b8825bda-fe60-44cb-9bf1-dc6815c6994e\",\r

    \  \"delivery_date\": \"2025-10-04\",\r

    \  \"delivery_method\": \"Truck\", //['Truck','Courier','Motorbike','Company
    Vehicle','Pickup by Customer','On-Site','Remote','Workshop'\r

    \  \"tracking_number\": \"TRK-20251004-001\", //Nullable\r

    \  \"carrier_id\": \"6d170393-f73c-45d3-a51a-08e5dbd862c3\",//Nullable\r

    \  \"warehouse_id\": \"91bbf997-5228-4db5-8212-8ba26fea2f1b\",//Nullable\r

    \  \"delivery_address_id\":
    \"fa88eacd-7ed3-4dc1-841f-9c02f874c0a1\",//Nullable\r

    \  \"route_id\": \"8430e92c-7a23-4513-89a3-6472359df881\",//Nullable\r

    \  \"created_by\": \"c01e44b1-66f3-4c17-bb1d-245e9dc3c978\",\r

    \  \"shipped_by\": \"f8f2a739-8a33-41a1-9d07-6ed6d087e5a4\",//Nullable\r

    \  \"delivered_by\": \"db9d345c-67d6-49ef-9a31-f3d3a23d4c82\",//Nullable\r

    \  \"status\": \"shipped\", //'draft','ready_for_pickup','shipped',
    'in_transit','delivered', 'returned','confirmed', 'disputed', 'failed',
    'canceled'\r

    \  \"lines\": [\r

    \    {\r

    \      \"order_line_id\": \"206ab918-dacd-41da-a1ed-76d3da0363cf\",\r

    \      \"item_id\": \"\",//Nullable\r

    \      \"uom_id\": \"07f23704-67ec-4277-8205-018edecc26e9\",\r

    \      \"quantity_delivered\": 20,\r

    \      \"quantity_returned\": 2,\r

    \      \"condition\": \"Damaged\", //Good, Damaged\r

    \      \"notes\": \"2 units returned due to packaging damage\"\r

    \    }\r

    \  ]\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 3000
